Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FlowApplicationFactory

    java.lang.Object
      javax.faces.application.ApplicationFactory
          org.springframework.faces.webflow.FlowApplicationFactory

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.application.ApplicationFactory>

    public class FlowApplicationFactory

extends javax.faces.application.ApplicationFactory

Custom `ApplicationFactory` that ensures the FlowApplication is the first `Application` in the chain, which in turn guarantees the install order for other JSF components.

Author:
  Jeremy Grelle
See Also:
  `FlowApplication`

Constructor Summary
`FlowApplicationFactory(javax.faces.application.ApplicationFactory delegate)`

Method Summary
`javax.faces.application.Application` | `getApplication()`
`javax.faces.application.ApplicationFactory` | `getWrapped()`
`void` | `setApplication(javax.faces.application.Application application)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowApplicationFactory

    public FlowApplicationFactory(javax.faces.application.ApplicationFactory delegate)

Method Detail

### getApplication

    public javax.faces.application.Application getApplication()

  Specified by:
    `getApplication` in class `javax.faces.application.ApplicationFactory`

### setApplication

    public void setApplication(javax.faces.application.Application application)

  Specified by:
    `setApplication` in class `javax.faces.application.ApplicationFactory`

### getWrapped

    public javax.faces.application.ApplicationFactory getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.application.ApplicationFactory>`
  Overrides:
    `getWrapped` in class `javax.faces.application.ApplicationFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD